% Jose Santos, 12th July 2010
% source: wikipedia http://en.wikipedia.org/wiki/Amino_acid

% ala->alanine
aminoacid_polarity(ala,non_polar).
aminoacid_charge(ala,neutral).
aminoacid_hydropathy(ala,1.8).

% arg->arginine
aminoacid_polarity(arg,polar).
aminoacid_charge(arg,positive).
aminoacid_hydropathy(arg,-4.5).

% asn->asparagine
aminoacid_polarity(asn,polar).
aminoacid_charge(asn,neutral).
aminoacid_hydropathy(asn,-3.5).

% asp->aspartic acid
aminoacid_polarity(asn,polar).
aminoacid_charge(asn,negative).
aminoacid_hydropathy(asn,-3.5).

% cys-> cysteine
aminoacid_polarity(cys,non_polar).
aminoacid_charge(cys,neutral).
aminoacid_hydropathy(cys,2.5).

% glu-> glutamic acid
aminoacid_polarity(glu,polar).
aminoacid_charge(glu,negative).
aminoacid_hydropathy(glu,-3.5).

% gln-> glutamine
aminoacid_polarity(gln,polar).
aminoacid_charge(gln,neutral).
aminoacid_hydropathy(gln,-3.5).

% gly-> glycine
aminoacid_polarity(gly,non_polar).
aminoacid_charge(gly,neutral).
aminoacid_hydropathy(gly,-0.4).

% his-> histidine
aminoacid_polarity(his,polar).
aminoacid_charge(his,neutral). % 10% of the time the charge of histidine is positive, 90% is negative, according to wikipedia
aminoacid_hydropathy(his,-3.2).

% ile-> isoleucine
aminoacid_polarity(ile,non_polar).
aminoacid_charge(ile,neutral).
aminoacid_hydropathy(ile,4.5).

% leu-> leucine
aminoacid_polarity(leu,non_polar).
aminoacid_charge(leu,neutral).
aminoacid_hydropathy(leu,3.8).

% lys-> lysine
aminoacid_polarity(lys,polar).
aminoacid_charge(lys,positive).
aminoacid_hydropathy(lys,-3.9).

% met-> methionine
aminoacid_polarity(met,non_polar).
aminoacid_charge(met,neutral). 
aminoacid_hydropathy(met,1.9).

% phe-> phenylalanine
aminoacid_polarity(phe,non_polar).
aminoacid_charge(phe,neutral). 
aminoacid_hydropathy(phe,2.8).

% pro-> proline
aminoacid_polarity(pro,non_polar).
aminoacid_charge(pro,neutral). 
aminoacid_hydropathy(pro,-1.6).

% ser-> serine
aminoacid_polarity(ser,polar).
aminoacid_charge(ser,neutral). 
aminoacid_hydropathy(ser,-0.8).

% thr-> threonine
aminoacid_polarity(thr,polar).
aminoacid_charge(thr,neutral). 
aminoacid_hydropathy(thr,-0.7).

% thr-> threonine
aminoacid_polarity(trp,non_polar).
aminoacid_charge(trp,neutral). 
aminoacid_hydropathy(trp,-0.9).

% tyr-> tyrosine
aminoacid_polarity(tyr,polar).
aminoacid_charge(tyr,neutral). 
aminoacid_hydropathy(tyr,-1.3).

% val-> valine
aminoacid_polarity(val,non_polar).
aminoacid_charge(val,neutral). 
aminoacid_hydropathy(val,4.2).
