:- use_module('ILP/aleph').

program_stats:-
  statistics(program, [P,_]),
  statistics(global_stack, [GS,_]),
  statistics(local_stack, [LS,_]),
  statistics(trail, [T, _]),
  statistics(runtime, [Time, _]),
  RamUsed is P+GS+LS+T,
  format("Total memory used (in bytes): ~D", [RamUsed]),nl,
  format("Total cputime (in ms): ~D", [Time]),nl.

%:- set(verbose, 1).
%:- set(star_default_recall, 1).
%:- set(cross_validation_folds, 160). % leave one out

:- set(minpos,2).
:- set(noise, 5).
:- set(evalfn, compression).
%:- set(evalfn, coverage).
%:- set(search, heuristic).
:- set(verbose, 1).
:- set(nodes, 5000).
%:- set(construct_bottom, reduction). % aleph has trouble constructing the bottom clause because of Aleph's n^2 bottom clause alg and inf. recall
